## org.eclipse.amp.escape.ide
Class PluginProjectWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.amp.escape.ide.PluginProjectWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

Direct Known Subclasses:
  PluginTemplateProjectWizard

    public abstract class PluginProjectWizard

extends org.eclipse.jface.wizard.Wizard
implements org.eclipse.ui.INewWizard

Creates a generic AMF project; intended for specialization.

Author:
  milesparker

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`PluginProjectWizard()`

Method Summary
`void` `addBuilders(java.util.List<java.lang.String> builderIDs)`
`void` `addClasspaths(java.util.List<org.eclipse.jdt.core.IClasspathEntry> classpathEntries, org.eclipse.core.resources.IProject project)`
`void` `addPages()`
`void` `createFiles()`
`java.lang.String[]` `getNatures()`
`java.lang.String` `getPluginID()`
`org.eclipse.core.resources.IProject` `getProject()`
`java.lang.String` `getProjectTypeName()`
`java.lang.String` `getSourceDirName()`
`void` `init(org.eclipse.ui.IWorkbench workbench, org.eclipse.jface.viewers.IStructuredSelection selection)`
`boolean` `performFinish()`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### PluginProjectWizard

    public PluginProjectWizard()

Method Detail

### init

    public void init(org.eclipse.ui.IWorkbench workbench,
                     org.eclipse.jface.viewers.IStructuredSelection selection)

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchWizard`

### addPages

    public void addPages()

  Specified by:
    `addPages` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `addPages` in class `org.eclipse.jface.wizard.Wizard`

### getProject

    public org.eclipse.core.resources.IProject getProject()

### performFinish

    public boolean performFinish()

  Specified by:
    `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Specified by:
    `performFinish` in class `org.eclipse.jface.wizard.Wizard`

### getNatures

    public java.lang.String[] getNatures()

### createFiles

    public void createFiles()
                     throws org.eclipse.core.runtime.CoreException,
                            java.io.IOException

  Throws:
    `org.eclipse.core.runtime.CoreException`
    `java.io.IOException`

### getProjectTypeName

    public java.lang.String getProjectTypeName()

### getPluginID

    public java.lang.String getPluginID()

### addClasspaths

    public void addClasspaths(java.util.List<org.eclipse.jdt.core.IClasspathEntry> classpathEntries,
                              org.eclipse.core.resources.IProject project)
                       throws org.eclipse.core.runtime.CoreException

  Throws:
    `org.eclipse.core.runtime.CoreException`

### getSourceDirName

    public java.lang.String getSourceDirName()

### addBuilders

    public void addBuilders(java.util.List<java.lang.String> builderIDs)